Core - Task # 56071

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL

Story # 55522 (Closed): As a developer | want to ensure that further changes have no negative impact on import or export

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-02-18 Assigned To: Marc Bastian Heinrichs
Updated: 2014-03-20 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Impexp: add test scenarios for tca types group file and file reference

Description

Related issues:

related to Core - Task # 56352: Impexp: Files of TCA type "group" internal_ty... Resolved
related to Core - Task # 56516: Relations for fields of type group internal_t... Resolved

2014-02-26
2014-03-04

Associated revisions

Revision e3c1e9a4 - 2014-03-20 18:03 - Marc Bastian Heinrichs

[BUGFIX] Fix import of type group internal_type file_reference

"o

This patch fixes the import of fields type "group” "internal_type"
"file_reference" and adds functional tests for exporting and
importing records with fields of type "group” "internal_type"
"file" and "file_reference", the types for file handling before

introducing the File Abstraction Layer.

Resolves: #56516

Resolves: #56071

Releases: 6.2

Change-Id: 14298f27ee77a89230188aa0df1b187429d555188
Reviewed-on: https://review.typo3.org/28021

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2014-03-04 09:56 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28021

#2 - 2014-03-04 10:05 - Marc Bastian Heinrichs
- % Done changed from 0 to 90

#3 - 2014-03-12 15:45 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28021

#4 - 2014-03-12 18:37 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28021

#5 - 2014-03-19 11:07 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28021

#6 - 2014-03-20 18:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:e3c1e9a4f7d9dd6e0fbcOce1540a1fd761469ea2.
